Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# child_info Struct Reference

## Data Fields
int | master
int | slave
char * | slavename
int | argc
VALUE * | argv

## Detailed Description

Definition at line 150 of file pty.c.

## Field Documentation

int child_info::argc

Definition at line 153 of file pty.c.

Referenced by chfunc(), and establishShell().

VALUE* child_info::argv

Definition at line 154 of file pty.c.

Referenced by chfunc(), and establishShell().

int child_info::master

Definition at line 151 of file pty.c.

Referenced by chfunc(), and establishShell().

int child_info::slave

Definition at line 151 of file pty.c.

Referenced by chfunc(), and establishShell().

char* child_info::slavename

Definition at line 152 of file pty.c.

Referenced by chfunc(), and establishShell().

The documentation for this struct was generated from the following file:

- ext/pty/pty.c